Community
Inventor Forum
Welcome to Autodesk’s Inventor Forums. Share your knowledge, ask questions, and explore popular Inventor topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

how to clear adaptivity flag in a sketch

4 REPLIES 4
SOLVED
Reply
Message 1 of 5
RStancescu
868 Views, 4 Replies

how to clear adaptivity flag in a sketch

Hello,

Please see attached, how can I clear adaptivity for Sketch7? 

This is Inventor pro 2016. I've tried in 2018 and still no success. Any ideas?

Thank you

radu

4 REPLIES 4
Message 2 of 5
johnsonshiue
in reply to: RStancescu

Hi! This is a pain. The two adaptive sketches are kind of trapped in a state where adaptive should not be allowed. As a result, the adaptivity cannot be turned off either. The only way to do that is quite painful.

 

1) Move EOP to right under Lofted Flange1.

2) Reorder Work Plane1 to the top.

3) Right-click on Sketch7 -> Unshare.

4) Delete the Lofted Flange1 but keep the sketches.

5) Turn off the adaptivity for both sketches.

6) Recreate the Lofted Flange1 and move EOP one step at the time to fix up sick features.

 

Many thanks!

 



Johnson Shiue (johnson.shiue@autodesk.com)
Software Test Engineer
Message 3 of 5
Xun.Zhang
in reply to: RStancescu

Hi,

 

I also try Inventor API to clean the flag, however, the "sick" loft have to deleted first.

 

If you move EOP above and delete the loft, try below code with "Alt+F11" and just run it.

 

Sub test()
    Dim oPartDoc As PartDocument
    Set oPartDoc = ThisApplication.ActiveDocument
    
    Dim oCompDef As PartComponentDefinition
    Set oCompDef = oPartDoc.ComponentDefinition
    
    Dim oSketch As PlanarSketch
    
    For Each oSketch In oCompDef.Sketches
        oSketch.Adaptive = False
    Next
End Sub

Hope it helps!


Xun
Message 4 of 5
RStancescu
in reply to: johnsonshiue

This procedure works, thank you!

Message 5 of 5
RStancescu
in reply to: Xun.Zhang

This code works too especially for several sketches. 

Thank you for your help!

radu

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report